Bug 7863 - (int-168221) Displays 3gpp audio as video with common name "Þÿ" or not displayed at all
(int-168221)
: Displays 3gpp audio as video with common name "Þÿ" or not displayed at all
Status: NEW
Product: Data
Meta Tracker
: 5.0/(3.2010.02-8)
: N900 Maemo
: Low normal (vote)
: ---
Assigned To: unassigned
: metatracker-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-12 23:42 UTC by Arne
Modified: 2011-09-20 16:34 UTC (History)
5 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Arne (reporter) 2010-01-12 23:42:04 UTC
SOFTWARE VERSION:
(Settings > General > About product)
Nokia N900
Maemo 5
Version: 1.2009.44-1

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Enter audio CD into PS3 and import it
2. Attach USB cable from N900 to PS3
3. Copy CD to memory card on N900

EXPECTED OUTCOME:
CD turns up in Music part of Mediaplayer.

ACTUAL OUTCOME:
Previous firmware version:
Each song turns up in the video part of Mediaplayer without cover and with same
name, "Þÿ", for all songs. Plays a bit noicy (from non existing video signal).
In file browser when trying to play the videoplayer starts and gives an error
message about not finding the file URL and then abourt playing.  

Current firmware version:
Songs do not turn up in videoplayer either.
In file browser when trying to play the videoplayer starts and tries to connect
to a file URL. "Connection" is displayed. Song plays fine (but in videoplayer).

When doing the same copy to a Nokia N80 it works fine (turns up as songs, not
videos) and plays well on the Nokia N80.

REPRODUCIBILITY:
(always, less than 1/10, 5/10, 9/10)

always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:
Comment 1 Andre Klapper maemo.org 2010-01-13 00:21:03 UTC
*** Bug 7865 has been marked as a duplicate of this bug. ***
Comment 2 Andre Klapper maemo.org 2010-01-13 00:21:07 UTC
*** Bug 7864 has been marked as a duplicate of this bug. ***
Comment 3 Andre Klapper maemo.org 2010-01-13 00:24:26 UTC
Thanks for reporting this.

What is 3gpp?
Does this correctly work with other devices than the N900 and the PS3?
Comment 4 Arne (reporter) 2010-01-13 01:28:22 UTC
(In reply to comment #3)
> Thanks for reporting this.
> 
> What is 3gpp?
> Does this correctly work with other devices than the N900 and the PS3?
> 

When I look at the detail of a song in file browser it is described as a 3gpp
media file. According to Wikipedia 3GP (3GPP file format) is a multimedia
container format defined by the Third Generation Partnership Project (3GPP) for
3G mobile phones so I presume that it is essential that a 3G phone like the
N900 supports it correctly.

As described in the bug I have tested the same copy operation to a Nokia N80
were it works fine.
Comment 5 Arne (reporter) 2010-01-13 01:40:05 UTC
Some of the files in the CD folder also appear with cryptic names and with a
question mark as icon.

(Please note that there are some special characters in this bug report that
Bugzilla does not seem to like so I got an error messaging when submiting this
bug and for each comment. This is why I entered a duplicate bug without the
special characters.)
Comment 6 John Veness 2010-03-20 21:18:18 UTC
Can you (or anyone else with a PS3) upload a file produced by the PS3 from a
CD? You should do this with a CD containing copyright-free or
freely-distributable content.
Comment 7 Andre Klapper maemo.org 2010-04-15 15:49:05 UTC
If this is still an issue in 3.2010.02-8, please provide a testcase. You could
also send a file to me by private email in case of copyrighted material.

Without doing this, this report cannot be processed and will be closed.
Comment 8 Arne (reporter) 2010-05-04 22:02:32 UTC
I will give you access to an album imported to N900 from PS3 as soon as I have
uploaded it to Ubuntu One.

Arne
Comment 9 Arne (reporter) 2010-05-04 23:27:33 UTC
I have now given aklapper@openismus.com access to the album. 
PS3 upload the album (folder) to a folder called "MUSIC" on my 16G external
memory card. From the file browser each track is listed as a video and can be
played as a "black" video. In the media player each track is also listed as
individual "videos" with the same funny name. The album can not be found as an
album in music part of the media player. So what I consider a bug is:
1. 3gp music tracks listed as a long list of videos.
2. 3gp music tracks listed with the same incorrect name.
3. 3gp album not listed as an album in the music part of media player.

Arne
Comment 10 Andre Klapper maemo.org 2010-05-05 15:13:36 UTC
(In reply to comment #9)
> I have now given aklapper@openismus.com access to the album. 

Didn't work. Sending one music file via direct email is welcome.
Comment 11 Arne (reporter) 2010-05-09 01:57:16 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > I have now given aklapper@openismus.com access to the album. 
> 
> Didn't work. Sending one music file via direct email is welcome.
> 

I sent you one sample. Did you receive it?
Comment 12 Andre Klapper maemo.org 2010-05-09 22:37:54 UTC
Marco: Can you have a look whether this is a problem with the file (and hence
INVALID) or if it's a Maemo software bug that the file is recognized as video?


Debug output from my desktop computer with the example file:

$:andre\> gvfs-info 7863.3gp 
type: regular
size:  2452803
attributes:
  standard::icon: video-3gpp, gnome-mime-video-3gpp, video-x-generic
  standard::content-type: video/3gpp
  standard::fast-content-type: video/3gpp

$:andre\> file 7863.3gp 
7863.3gp: ISO Media, MPEG v4 system, 3GPP

$:andre\> mp4info 7863.3gp 
mp4info version 1.5.0.1
7863.3gp:
Track    Type    Info
1    audio    MPEG-4 AAC LC, 149.490 secs, 128 kbps, 44100 Hz

$:andre\> gst-launch -t -m playbin uri=file:/home/andre/Desktop/7863.3gp 
[....]
Got message #39 from element "qtdemux0" (tag): taglist,
audio-codec=(string)"MPEG-4\ AAC\ audio", maximum-bitrate=(guint)128000,
bitrate=(guint)128000, source-pad=(GstPad)"\(GstPad\)\ audio_00";
FOUND TAG      : found by element "qtdemux0".
     audio codec: MPEG-4 AAC audio
 maximum bitrate: 128000
         bitrate: 128000
Got message #41 from pad "queue0:src" (stream-status): GstMessageStreamStatus,
type=(GstStreamStatusType)GST_STREAM_STATUS_TYPE_ENTER,
owner=(GstElement)"\(GstQueue\)\ queue0", object=(GstTask)"\(GstTask\)\ task1";
Got message #59 from element "volume" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_READY, new-state=(GstState)GST_STATE_PAUSED,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #60 from element "aresample" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_READY, new-state=(GstState)GST_STATE_PAUSED,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #61 from element "aconv" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_READY, new-state=(GstState)GST_STATE_PAUSED,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #63 from pad "preroll_audio_src0:src" (stream-status):
GstMessageStreamStatus,
type=(GstStreamStatusType)GST_STREAM_STATUS_TYPE_CREATE,
owner=(GstElement)"\(GstQueue\)\ preroll_audio_src0",
object=(GstTask)"\(GstTask\)\ task2";
Got message #65 from element "test" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_PLAYING, new-state=(GstState)GST_STATE_PAUSED,
pending-state=(GstState)GST_STATE_READY;
Got message #67 from element "test" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_READY, new-state=(GstState)GST_STATE_READY,
pending-state=(GstState)GST_STATE_NULL;
Got message #68 from element "test" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_READY, new-state=(GstState)GST_STATE_NULL,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #69 from element "qtdemux0" (tag): taglist, title=(string)"Spor\
13", album=(string)"Klassiske\ Mesterverk", container-format=(string)3GP;
FOUND TAG      : found by element "qtdemux0".
           title: Spor 13
           album: Klassiske Mesterverk
container format: 3GP
Got message #72 from element "fakesink" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_PLAYING, new-state=(GstState)GST_STATE_PAUSED,
pending-state=(GstState)GST_STATE_READY;
Got message #75 from element "decodebin0" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_READY, new-state=(GstState)GST_STATE_PAUSED,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #76 from element "fakesink" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_READY, new-state=(GstState)GST_STATE_READY,
pending-state=(GstState)GST_STATE_NULL;
Got message #77 from element "fakesink" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_READY, new-state=(GstState)GST_STATE_NULL,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #79 from pad "preroll_audio_src0:src" (stream-status):
GstMessageStreamStatus, type=(GstStreamStatusType)GST_STREAM_STATUS_TYPE_ENTER,
owner=(GstElement)"\(GstQueue\)\ preroll_audio_src0",
object=(GstTask)"\(GstTask\)\ task2";
Got message #80 from element "audiosink-actual-sink-pulse" (state-changed):
GstMessageState, old-state=(GstState)GST_STATE_READY,
new-state=(GstState)GST_STATE_PAUSED,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #83 from element "audiosink" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_READY, new-state=(GstState)GST_STATE_PAUSED,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #85 from element "abin" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_READY, new-state=(GstState)GST_STATE_PAUSED,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #87 from element "playbin0" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_READY, new-state=(GstState)GST_STATE_PAUSED,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Pipeline is PREROLLED ...
Got message #86 from element "playbin0" (async-done): no message details
Setting pipeline to PLAYING ...
Got message #88 from element "playbin0" (new-clock): GstMessageNewClock,
clock=(GstClock)"\(GstAudioClock\)\ GstPulseSinkClock";
New clock: GstPulseSinkClock
Got message #90 from element "audiosink-actual-sink-pulse" (state-changed):
GstMessageState, old-state=(GstState)GST_STATE_PAUSED,
new-state=(GstState)GST_STATE_PLAYING,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #91 from element "audiosink" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_PAUSED, new-state=(GstState)GST_STATE_PLAYING,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #92 from element "volume" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_PAUSED, new-state=(GstState)GST_STATE_PLAYING,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #93 from element "aresample" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_PAUSED, new-state=(GstState)GST_STATE_PLAYING,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #94 from element "aconv" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_PAUSED, new-state=(GstState)GST_STATE_PLAYING,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #95 from element "abin" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_PAUSED, new-state=(GstState)GST_STATE_PLAYING,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #96 from element "preroll_audio_src0" (state-changed):
GstMessageState, old-state=(GstState)GST_STATE_PAUSED,
new-state=(GstState)GST_STATE_PLAYING,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #97 from element "selector_audio_src0" (state-changed):
GstMessageState, old-state=(GstState)GST_STATE_PAUSED,
new-state=(GstState)GST_STATE_PLAYING,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #98 from element "faad0" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_PAUSED, new-state=(GstState)GST_STATE_PLAYING,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #99 from element "queue0" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_PAUSED, new-state=(GstState)GST_STATE_PLAYING,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #100 from element "qtdemux0" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_PAUSED, new-state=(GstState)GST_STATE_PLAYING,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #101 from element "typefind" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_PAUSED, new-state=(GstState)GST_STATE_PLAYING,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #102 from element "decodebin0" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_PAUSED, new-state=(GstState)GST_STATE_PLAYING,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #103 from element "source" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_PAUSED, new-state=(GstState)GST_STATE_PLAYING,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #104 from element "playbin0" (state-changed): GstMessageState,
old-state=(GstState)GST_STATE_PAUSED, new-state=(GstState)GST_STATE_PLAYING,
pending-state=(GstState)GST_STATE_VOID_PENDING;
Got message #105 from element "audiosink-actual-sink-pulse" (stream-status):
GstMessageStreamStatus, type=(GstStreamStatusType)GST_STREAM_STATUS_TYPE_ENTER,
owner=(GstElement)"\(GstPulseSink\)\ audiosink-actual-sink-pulse",
object=(gpointer)NULL;
Comment 13 marco.ballesio nokia 2010-05-09 23:00:13 UTC
Thanks Andre for the analysis. The file looks like being proper, the title
identified from GStreamer is "spor 13". I'd say we've something to investigate
on with the upper layers (Tracker/Thumbnailerd).

As it appears you have a copy of the file, did you manage to reproduce this
with the latest testing images?
Comment 14 ildar 2011-09-20 16:34:22 UTC
the latest stable image shows the same behavior